<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imcrop</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">&lt;&lt; Spatial Transformations</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imcropm.html">imcropm &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a> &gt; imcrop</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imcrop</h1>
    <p class="refpurpose">Crop image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">subim</span><span class="default"> = </span><span class="functionid">imcrop</span><span class="default">(</span><span class="default">im</span><span class="default">, </span><span class="default">rect</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">An image, which can be one channel or three channel image.</p></dd></dt>
   <dt><span class="term">rect :</span>
      <dd><p class="para">rect=[x, y, width, height] is a vector. (x, y) is the top-left corner of the rentangle.</p></dd></dt>
   <dt><span class="term">subim :</span>
      <dd><p class="para">subim is the sub-region of the image im .</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Crop image at regin rect to subim.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">subim</span> <span class="scilaboperator">=</span> <span class="scilabid">imcrop</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabopenclose">[</span><span class="scilabnumber">20</span><span class="scilabdefault">,</span> <span class="scilabnumber">30</span><span class="scilabdefault">,</span> <span class="scilabnumber">200</span><span class="scilabdefault">,</span> <span class="scilabnumber">300</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">subim</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imresize.html" class="link">imresize</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">&lt;&lt; Spatial Transformations</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imcropm.html">imcropm &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
